Get datasource script for a given ID

GET {{baseUrl}}/api/datasources/scripts/:id

Get information for a given datasource script ID. You obtain the authorization token needed to execute the request using POST /auth/login. You pass the authorization token in the request header. You specify the script ID in the path of the request; you obtain the datasource script ID using GET /datasources/scripts.

Request Params

KeyDatatypeRequiredDescription
fieldsnullComma-separated, top-level field whitelist that allows the client to selectively retrieve part of the response model. If specified, extra filtering is applied, and for top-level object (if root model is an array, each array element), only the listed fields are kept in the response. For example, "id,elements" keeps only the "id" field and whole "elements" array field, omitting all other fields in the top-level response model.

HEADERS

KeyDatatypeRequiredDescription
X-MSTR-AuthTokenstring(Required) Authorization token

RESPONSES

status: OK

{"name":"Test Datasource Script","id":"CA279009EA4C39C8DDE7E3A6A3EE647D","type":76,"description":"Test datasource script","subtype":19459,"dateCreated":"2022-03-11T16:55:11.000+0000","dateModified":"2022-03-11T16:55:11.000+0000","version":"09A3FB26C8438BE7C4FB2F9DD9062B87","acg":255,"owner":{"name":"MSTR User","id":"7FC05A65473CE2FD845CE6A1D3F13233"},"acl":[{"deny":false,"type":1,"rights":255,"trusteeId":"7FC05A65473CE2FD845CE6A1D3F13233","trusteeName":"MSTR User","trusteeType":34,"trusteeSubtype":8704,"inheritable":false},{"deny":false,"type":1,"rights":1,"trusteeId":"294DEDC011D2F1D56000D98E67019608","trusteeName":"Public / Guest","trusteeType":34,"trusteeSubtype":8705,"inheritable":false},{"deny":false,"type":1,"rights":5,"trusteeId":"5F3FAFE011D2D8CC6000CC8E67019608","trusteeName":"System Monitors","trusteeType":34,"trusteeSubtype":8705,"inheritable":false},{"deny":false,"type":1,"rights":199,"trusteeId":"C82C6B1011D2894CC0009D9F29718E4F","trusteeName":"Everyone","trusteeType":34,"trusteeSubtype":8705,"inheritable":false},{"deny":false,"type":1,"rights":255,"trusteeId":"5F3FAFE111D2D8CC6000CC8E67019608","trusteeName":"System Administrators","trusteeType":34,"trusteeSubtype":8705,"inheritable":false},{"deny":false,"type":1,"rights":255,"trusteeId":"FB5CDCCE4D0E70EDE48110A0FDCFD370","trusteeName":"Platform Support Administrators","trusteeType":34,"trusteeSubtype":8705,"inheritable":false}],"scriptContent":"string","scriptType":"python","scriptRuntimeId":"9453B1C7A049068FFD7146BFA296E856"}